# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate blosc2-rs
%global upstream_version 0.2.6+2.14.3

Name:           rust-blosc2-rs
Version:        0.2.6
Release:        %autorelease
Summary:        Blosc2

License:        MIT
URL:            https://crates.io/crates/blosc2-rs
Source:         %{crates_source %{crate} %{upstream_version}}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          blosc2-rs-fix-metadata-auto.diff
# * Fix early drops of params
# * https://github.com/milesgranger/blosc2-rs/pull/22
Patch10:       https://github.com/milesgranger/blosc2-rs/pull/22.patch
# * Backport of “Use upstream main 35f236c, function defaults, fixed big endian
#   and test s390x”, https://github.com/milesgranger/blosc2-rs/pull/24: only
#   changes for src/lib.rs.
Patch11:       blosc2-rs-0.2.6-s390x.patch

BuildRequires:  cargo-rpm-macros >= 24
BuildRequires:  tomcli

%global _description %{expand:
Blosc2.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%license %{crate_instdir}/data/COPYING
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+shared-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+shared-devel %{_description}

This package contains library source intended for building other packages which
use the "shared" feature of the "%{crate}" crate.

%files       -n %{name}+shared-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+use-system-blosc2-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+use-system-blosc2-devel %{_description}

This package contains library source intended for building other packages which
use the "use-system-blosc2" feature of the "%{crate}" crate.

%files       -n %{name}+use-system-blosc2-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{upstream_version} -p1
%cargo_prep
# Do not depend on criterion; it is needed only for benchmarks.
tomcli set Cargo.toml del dev-dependencies.criterion

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
export RUST_BACKTRACE=1
# * Do not test that the blosc2-sys bidings were generated against the exact
#   version of c-blosc2 that upstream expects; we always use the system blosc2,
#   whatever that may be.
%cargo_test -- -- --exact --skip tests::test_get_version_string
%endif

%changelog
%autochangelog
